| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Static Public Member Functions | Public Attributes | Static Protected Attributes | Properties | List of all members
IG.Forms.UtilResponseForms Class Reference

Utilities that enable uniform behavior of response plotting forms. More...

## Static Public Member Functions
static string | SelectedParameterLabelText (InputOutputDataDefiniton dataDefinition, int parameterId)
| Returns axis label text for the specified parameter. More...
static string | SelectedOutputLabelText (InputOutputDataDefiniton dataDefinition, int outputId)
| Returns axis label text for the specified output value from the ANN model. More...

## Public Attributes
const int | DefaultRecommendedMaxLabelLength = 30

## Static Protected Attributes
static int | _recommendedMaxLabelLength = DefaultRecommendedMaxLabelLength

## Properties
static int | RecommendedMaxLabelLength`[get, set]`
| Returns recommended maximal length for graph axis labels. More...

## Detailed Description

Utilities that enable uniform behavior of response plotting forms.

## Member Function Documentation

static string IG.Forms.UtilResponseForms.SelectedParameterLabelText | ( | InputOutputDataDefiniton | dataDefinition,
|  | int | parameterId
| ) |  |
| inline static

Returns axis label text for the specified parameter.

Parameters

  dataDefinition | Data definition used as source of information about input parameters and output values.
  parameterId | ID (seqential number) of data element for which axis label is returned.

References IG.Num.InputOutputDataDefiniton.GetInputElement(), IG.Num.InputOutputDataDefiniton.InputLength, IG.Num.InputOutputElementDefinition.Name, and IG.Num.InputOutputElementDefinition.Title.

static string IG.Forms.UtilResponseForms.SelectedOutputLabelText | ( | InputOutputDataDefiniton | dataDefinition,
|  | int | outputId
| ) |  |
| inline static

Returns axis label text for the specified output value from the ANN model.

Parameters

  dataDefinition | Data definition used as source of information about input parameters and output values.
  outputId | ID (seqential number) of data element for which axis label is returned.

References IG.Num.InputOutputDataDefiniton.GetOutputElement(), IG.Num.InputOutputElementDefinition.Name, IG.Num.InputOutputDataDefiniton.OutputLength, and IG.Num.InputOutputElementDefinition.Title.

## Member Data Documentation

const int IG.Forms.UtilResponseForms.DefaultRecommendedMaxLabelLength = 30

int IG.Forms.UtilResponseForms._recommendedMaxLabelLength = DefaultRecommendedMaxLabelLength
| static protected

## Property Documentation

int IG.Forms.UtilResponseForms.RecommendedMaxLabelLength
| static get set

Returns recommended maximal length for graph axis labels.

The documentation for this class was generated from the following file:

- extensions/iglibext/Forms/Numeric/UtilResponseFormsExt.cs